Zum Inhalt springen
Leadtime
Deutsch
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Delete work activity

Deletes a work activity from the workspace.

Important considerations:

  • The activity will be removed from all task types where it was assigned
  • Existing time logs using this activity will retain the activity reference
  • This action cannot be undone

Note: Consider removing the activity from task types first if you want to prevent future use.

DELETE/administration/task-settings/activities/{id}
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired
Responses
200

Work activity deleted successfully

401

Unauthorized - Invalid or missing authentication token

403

Forbidden - Insufficient API scopes or permissions

Try it
Server
Authorization
Parameters
Request
curl -X DELETE "https://leadtime.app/api/public/administration/task-settings/activities/string" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Response
Work activity deleted successfully